Package org.eclipse.viatra.query.runtime.api.impl

## Class BaseGeneratedEMFQuerySpecification<Matcher extends ViatraQueryMatcher<? extends IPatternMatch>>

- java.lang.Object
- - org.eclipse.viatra.query.runtime.api.impl.BaseQuerySpecification<Matcher>
  - - org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedEMFQuerySpecification<Matcher>

- All Implemented Interfaces:
    `IQuerySpecification<Matcher>`, `PQueryHeader`

      public abstract class BaseGeneratedEMFQuerySpecification<Matcher extends ViatraQueryMatcher<? extends IPatternMatch>>
      extends BaseQuerySpecification<Matcher>

  Provides common functionality of pattern-specific generated query specifications over the EMF scope.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseQuerySpecification

      `wrappedPQuery`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseGeneratedEMFQuerySpecification​(PQuery wrappedPQuery)` | Instantiates query specification for the given internal query representation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<? extends QueryScope>` | `getPreferredScopeClass()` | The query is formulated over this kind of modeling platform.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseQuerySpecification

      `ensureInitializedInternal, getAllAnnotations, getAnnotationsByName, getFirstAnnotationByName, getFullyQualifiedName, getInternalQueryRepresentation, getMatcher, getParameterNames, getParameters, getPositionOfParameter, getVisibility, instantiate, instantiate, processInitializerError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.api.IQuerySpecification

      `getPProblems, getStatus, newEmptyMatch, newMatch`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.matchers.psystem.queries.PQueryHeader

      `getParameter, getSimpleName`

- - ### Constructor Detail

    - #### BaseGeneratedEMFQuerySpecification

          public BaseGeneratedEMFQuerySpecification​(PQuery wrappedPQuery)

      Instantiates query specification for the given internal query representation.

  - ### Method Detail

    - #### getPreferredScopeClass

          public java.lang.Class<? extends QueryScope> getPreferredScopeClass()

      Description copied from interface: `IQuerySpecification`
      The query is formulated over this kind of modeling platform. E.g. for queries over EMF models, the `EMFScope` class is returned.